function csawh_wrapper(filelist,config_options)

%%%%%%%%%%%%
% default parameters
% and reading config file
if nargin == 1
	fs        = 16000;
	feat_name = 'cmu_feat';
	del_width = 5;
	alpha     = 0.85;
	resynth   = 0;
	numFilts  = 40;
	dLowFreq  = 133;
	dHighFreq = 6855;
	fileType  = 'sph';
	addDither = 1;
else
	fid = fopen(config_options);
	CO1 = textscan(fid,'%s%s','MultipleDelimsAsOne',1);
	fclose(fid);

	pVals = CO1{2};

	fs        = str2double(pVals{1});
	feat_name = pVals{2};
	del_width = str2double(pVals{3});
	alpha     = str2double(pVals{4});
	resynth   = str2double(pVals{5});
	numFilts  = str2double(pVals{6});
	dLowFreq  = str2double(pVals{7});
	dHighFreq = str2double(pVals{8});
	fileType  = pVals{9};
	addDither = str2double(pVals{10});
end

%%%%%%%%%%%%
% read in I/O
% list
fid = fopen(filelist);
L1  = textscan(fid,'%s%s','delimiter',',');
fclose(fid);

%%%%%%%%%%%%
% successively process
% the files
inList = L1{1}; outList = L1{2};
for k = 1:length(inList)
	inFile  = strtrim(inList{k});
	outFile = strtrim(outList{k});
	
	file_dir = fileparts(outFile);
	if ~exist(file_dir,'dir')
		mkdir(file_dir);
	end

	csawh(outFile,inFile,resynth,feat_name,alpha,fs,del_width,numFilts,dLowFreq,dHighFreq,fileType,addDither);	
end
