function Pproc = histMfeat(Pnorm,pow_expon,alpha,hgram)

%%%%%%%%%%%%
% histogram-based
% processing
min1  = min(Pnorm(:));
max1  = max(Pnorm(:));
Pnorm = Pnorm - min1;
Pnorm = Pnorm/max(Pnorm(:));
Pnorm = 0.95*Pnorm;

%%%%%%%%%%%%
% channel-by-channel
% histogram warping
J = zeros(size(Pnorm));
for i=1:size(J,1)
    J(i,:) = histeq(Pnorm(i,:), hgram(i,:));
end
J = J - min(J(:));
J = J/max(J(:));

%%%%%%%%%%%%
% process
% tempering
J = alpha*Pnorm + (1-alpha)*J;

J = J - min(J(:));
J = J/max(J(:));

%%%%%%%%%%%%
% linear
% restoration
J = J*(max1 - min1);
J = J + min1;

%%%%%%%%%%%%
% return to
% linear domain
Pproc = J.^(1/pow_expon);
